Package net.shibboleth.idp.cas.protocol

# Enum Class SamlParam

java.lang.Object
java.lang.Enum<SamlParam>
net.shibboleth.idp.cas.protocol.SamlParam

All Implemented Interfaces:
  `Serializable`, `Comparable<SamlParam>`, `Constable`

public enum SamlParam extends Enum<SamlParam>
SAML 1.1 protocol params needed to support `/samlValidate` endpoint.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SAMLart`
SAMLart parameter used to convey service ticket.
`TARGET`
TARGET parameter used to convey service URL.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SamlParam()`

## Method Summary

Modifier and Type
Method
Description
`static SamlParam`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SamlParam[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TARGET

public static final SamlParam TARGET
TARGET parameter used to convey service URL.

### SAMLart

public static final SamlParam SAMLart
SAMLart parameter used to convey service ticket.

## Constructor Details

### SamlParam

private SamlParam()

## Method Details

### values

public static SamlParam[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SamlParam valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null